/**
 * 3dsLoad.h
 * 
 *
 * @authors $Author: $ - Malf
 * @version $Id: $
 */


#ifndef _3DSLOAD_H_
#define _3DSLOAD_H_

#if defined(__cplusplus)
extern "C" {
#endif


#ifdef WIN32            
#include <windows.h>
#endif

#include <stdlib.h>
#include <stdio.h>
#include <time.h>
#include <math.h>
#include <string.h>

#include <GL/gl.h>
#include <GL/glu.h>
#include <glut.h>

#include <lib3ds/file.h>                        
#include <lib3ds/camera.h>
#include <lib3ds/mesh.h>
#include <lib3ds/node.h>
#include <lib3ds/material.h>
#include <lib3ds/matrix.h>
#include <lib3ds/vector.h>
#include <lib3ds/light.h>
#include <lib3ds/config.h>

#include <stdlib.h>
#include <string.h>
#include <math.h>
#ifdef WITH_DMALLOC
#include <dmalloc.h>
#endif


Lib3dsFile* getFile (void );
 void load3DS(const char* model) ;
 void draw3dsNodes (void);
 

#if defined(__cplusplus)
}
#endif

#endif
